# Note this package is synchronized with Fedora!

%global checkout 129bf57

%define rel 0.3

Name:           python-typeshed
# There are no actual releases of typeshed so we are making one up
Version:        0.1
Release:	%mkrel %{rel}.git20160111
Summary:        Static type information for python modules
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/python/typeshed
# git archive --prefix=typeshed-0.1-129bf57/ 129bf57 | gzip -c9 > typeshed-0.1-129bf57.tar.gz
Source0:        typeshed-%{version}-%{checkout}.tar.gz

BuildArch:      noarch

%description
Typeshed models function types for the Python standard library
and Python builtins, as well as third party packages.

This data can e.g. be used for static analysis, type checking or type inference.

This package stores the typedata in /usr/share/typeshed

%prep
%autosetup -n typeshed-%{version}-%{checkout}

%build
# All stub files, nothing to build

%install
mkdir -p %{buildroot}/%{_datadir}/typeshed
for dir in builtins stdlib third_party ; do
    cp -r $dir %{buildroot}/%{_datadir}/typeshed/$dir
done

%files
%doc README.md
%license LICENSE
%{_datadir}/typeshed



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.1-0.3.git20160111.mga8
+ Revision: 1499474
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.1-0.2.git20160111.mga7
+ Revision: 1274853
- Mageia 7 Mass Rebuild

* Wed Jan 13 2016 ngompa <ngompa> 0.1-0.1.git20160111.mga6
+ Revision: 922348
- imported package python-typeshed


* Tue Jan 12 2016 Neal Gompa <ngompa13{%%}gmail{*}com> - 0.1-0.1.git20160111
- Port to Mageia

* Mon Jan 11 2016 David Shea <dshea@redhat.com> - 0.1-0.20160111git
- Fix types for timetuple and utctimetuple
- Fix Python 3 six.moves
- Have ast.pyi re-export symbols from _ast.pyi.
- Unify 2.7 and 3 stubs for functools.
- Enhance type information for lru_cache

* Thu Jan  7 2016 David Shea <dshea@redhat.com> - 0.1-0.20160107git.1
- typing: update 2 to match 3 on Sequence and Container
- builtins: Reversible is redundant when Sequence is already present
- Add __version__ to _ast.pyi.
- add Python 2 stubs for ast, tokenize
- Improve Python 2 stub for abc; _weakrefset stub.
- Update shlex.pyi
- Update random.pyi
- Add abstractproperty.__new__ so it can be used.
- Add object.__new__ so it can be called.
- Update 2.7 built-in set to be the same as PY3 set.
- Swap max() and min() overloads so max(x, y) and min(x, y) work as expected.
- Improve 2.7 stub for tempfile.
- Simplify SystemRandom now it subclasses Random, for 2.7 and 3.
- Add object.__setattr__ for 2.7.
- Simplify PY3 len() spec, no Union with tuple needed.
- Some updates now typing.Container is defined.
- Add cStringIO, cPickle to six.moves. Add six.moves for PY3.

* Fri Dec 18 2015 David Shea <dshea@redhat.com> - 0.1-0.20151217git.1
- Rebuild with the correct prefix in the source archive

* Fri Dec 18 2015 David Shea <dshea@redhat.com> - 0.1-0.20151217git
- Share operator stubs in 2and3
- Make attrgetter, itemgetter and methodcaller in operator usable

* Tue Dec 15 2015 David Shea <dshea@redhat.com> - 0.1-0.20151205git
- Initial package
